package com.zehong.communication.service.impl;

import com.zehong.communication.dao.RequestLogMapper;
import com.zehong.communication.entity.RequestLog;
import com.zehong.communication.entity.RequestLogExample;
import com.zehong.communication.service.RequestLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RequestLogServiceImpl implements RequestLogService {

    @Resource
    private RequestLogMapper requestLogMapper;

    @Override
    public int countByExample(RequestLogExample example) {
        return requestLogMapper.countByExample(example);
    }

    @Override
    public int deleteByExample(RequestLogExample example) {
        return requestLogMapper.deleteByExample(example);
    }

    @Override
    public int deleteByPrimaryKey(String id) {
        return requestLogMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(RequestLog record) {
        return requestLogMapper.insert(record);
    }

    @Override
    public int insertSelective(RequestLog record) {
        return requestLogMapper.insertSelective(record);
    }

    @Override
    public List<RequestLog> selectByExample(RequestLogExample example) {
        return requestLogMapper.selectByExample(example);
    }

    @Override
    public RequestLog selectByPrimaryKey(String id) {
        return requestLogMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByExampleSelective(RequestLog record, RequestLogExample example) {
        return requestLogMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(RequestLog record, RequestLogExample example) {
        return requestLogMapper.updateByExample(record,example);
    }

    @Override
    public int updateByPrimaryKeySelective(RequestLog record) {
        return requestLogMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(RequestLog record) {
        return requestLogMapper.updateByPrimaryKey(record);
    }
}
