package com.zehong.communication.model;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

@Data
public class SendBatchVoiceNotify extends BaseRequestModel {

    /**
     * 语音群发号码
     * 被叫号码，模版无变量多个则以英文半角分号“;”分割；模板带变量，多个号码以英文分号“;”分割，号码和变量以英文逗号“,”隔开， 多个变量以竖线“|”隔开，如 130XXXXXXXX,123|456;186XXXXXXXX,321|654(注意：文件语音模板类型 号码之间分隔用“,”隔开)
     */
    @NotBlank(message = "语音群发号码不能为空")
    private String phoneNumberJson;

    /**
     * 语音模板
     */
    @NotBlank(message = "语音模板不能为空")
    private String templateId;


}
