package com.zehong.communication.service;

import com.aliyuncs.exceptions.ClientException;
import com.zehong.communication.common.result.Result;
import com.zehong.communication.model.SendBatchSms;
import com.zehong.communication.model.SendSms;

public interface SmsService {

    /**
     * 发送短信
     * @param sendSms  发送短信实体
     * @return Result
     * @throws ClientException
     */
    Result sendSms(SendSms sendSms) throws ClientException;

    /**
     * 批量发送短信
     * @param sendBatchSms 批量发送短信实体
     * @return Result
     * @throws ClientException
     */
    Result sendBatchSms(SendBatchSms sendBatchSms) throws ClientException;
}
